SDL_GPUTransferBufferCreateInfo Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUTransferBufferUsage | usage
Uint32 | size
SDL_PropertiesID | props

## Detailed Description

A structure specifying the parameters of a transfer buffer.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_CreateGPUTransferBuffer

Definition at line 1710 of file SDL_gpu.h.

## Field Documentation

## props

SDL_PropertiesID SDL_GPUTransferBufferCreateInfo::props

A properties ID for extensions. Should be 0 if no extensions are needed.

Definition at line 1715 of file SDL_gpu.h.

## size

Uint32 SDL_GPUTransferBufferCreateInfo::size

The size in bytes of the transfer buffer.

Definition at line 1713 of file SDL_gpu.h.

## usage

SDL_GPUTransferBufferUsage SDL_GPUTransferBufferCreateInfo::usage

How the transfer buffer is intended to be used by the client.

Definition at line 1712 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h